class PushTargetsController < ApplicationController
  model_data_store(PushTarget)

  def register_push_targets
    params = model_params
    if RxModule::Communicator::Hub.module_available?(params[:app])
      push_target = PushTarget.find_or_create_by(app: params[:app])
      push_target.update(params)
      push_target.save
    end
    render json: {}, status: :ok
  end

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:push_target).permit(:app, :machine, :machine_state, :job_state, :error, :maintenance, :event, :job_process_parameter, :order, :job, :block, :calibration, :box_coater_event, :update_order)
  end
end
