class LabStatusDashboard < RxModule::Dashboards::LabStatus
  expose('lab_status', 'Lab Status', 'View states of machines in the lab')
  parameter(:lab_layout_id, "Lab Layout", "Which layout to display", :integer, default: -1)

  def run
    {
      machines: Machine.status_all,
      colors: build_colors
    }
  end

  def build_colors
    colors = {}
    Color.find_each do |c|
      colors[c.status_name] = c.color
    end
    colors
  end
end

