import * as React from "react";
import {observer} from "mobx-react-lite";
import {t} from "@lingui/macro";
import {ModelCheckbox} from "@rx-suite/ui";
import {BlockPickingModel} from "../../../stores/BlockPickingStore";

type BPDisplaySettingsTabProps = {
    model: BlockPickingModel
};

export const BPDisplaySettingsTab: React.FunctionComponent<BPDisplaySettingsTabProps> = observer((props) => {
    return (
        <>
            <div><ModelCheckbox name={'hide_tray_number'} label={t`Hide Tray Number`}/></div>
            <div><ModelCheckbox name={'hide_job_number'} label={t`Hide Job Number`}/></div>
            <div><ModelCheckbox name={'hide_block_count'} label={t`Hide Block Count`}/></div>
        </>
    );
});
