import * as React from "react";
import {Grid, makeStyles, Typography} from "@material-ui/core";
import {observer} from "mobx-react-lite";
import {t} from "@lingui/macro";
import {Info} from "@material-ui/icons";
import {grey} from "@material-ui/core/colors";

type NoCollectMachineTypeInfoProps = {
    infoType: string;
}

const useStyles = makeStyles((theme) => ({
    infoIcon: {
        marginRight: theme.spacing(1),
        color: grey[600]
    },
    infoMessageWrapper: {
        marginLeft: theme.spacing(1),
        textAlign: 'center',
        color: grey[600],
        margin: `${theme.spacing(4)}px 0`,
    }
}));

export const NoCollectMachineTypeInfo: React.FunctionComponent<NoCollectMachineTypeInfoProps> = observer(({infoType}) => {

    const classes = useStyles();

    return (
        <div>
            <Grid container className={classes.infoMessageWrapper} alignItems={'center'} justifyContent={'center'}>
                <Info fontSize={'medium'} className={classes.infoIcon}/><Typography variant={'h6'}>{t`This machine does not collect ${infoType} data. Please contact support for more information.`}</Typography>
            </Grid>
        </div>
    );
});