import * as React from "react";
import {ButtonGroup} from "@material-ui/core";
import {observer} from "mobx-react-lite";

import {t} from "@lingui/macro";
import Button from "@material-ui/core/Button";
import {makeStyles} from "@material-ui/core/styles";

type PeriodFilterProps = {
    value: any;
    change: React.Dispatch<React.SetStateAction<number>>
}

const useStyles = makeStyles((theme) => ({
    groupContainer: {
        marginBottom: theme.spacing(1)
    }
}));

export const period = [
    {
        label: t`Day`,
        key: 'day'
    },
    {
        label: t`Week`,
        key: 'week'
    },
    {
        label: t`Month`,
        key: 'month'
    }
];

export const PeriodFilterButtons: React.FunctionComponent<PeriodFilterProps> = observer((props) => {
    const {value, change} = props;
    const classes = useStyles();
    return (
        <ButtonGroup className={classes.groupContainer} color="primary" aria-label="outlined primary button group">
            <Button variant={value === 0 ? 'contained' : 'outlined'} onClick={()=>{change(0)}}>{period[0].label}</Button>
            <Button variant={value === 1 ? 'contained' : 'outlined'} onClick={()=>{change(1)}}>{period[1].label}</Button>
            <Button variant={value === 2 ? 'contained' : 'outlined'} onClick={()=>{change(2)}}>{period[2].label}</Button>
        </ButtonGroup>
    );
});