import {attribute, DataStore, Model, model} from "@rx-suite/data";
import {t} from "@lingui/macro";

import * as yup from 'yup';

@model({
    transportLayer: "/api/addresses",
    permissionTarget: 'Address',
    routingInfo: {
        create: "/settings/addresses/create",
        update: "/settings/addresses/:id/edit",
        read: "/settings/addresses/:id"
    }
})
export class AddressModel extends Model {
    @attribute({ label: t`Name`, validation: yup.string().required()})
    name: string = "";

    @attribute({ label: t`Street`, validation: yup.string().required()})
    street: string = "";

    @attribute({ label: t`City`, validation: yup.string().required()})
    city: string = "";

    @attribute({ label: t`Postal Code`, validation: yup.string().required()})
    postal_code: string = "";

    @attribute({ label: t`Country`, validation: yup.string().required()})
    country: string = "";

    constructor() {
        super();
        super.setup();
    }
}

export const AddressStore = AddressModel.store as DataStore<AddressModel>;

