import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";
import * as yup from 'yup';

@model({
    transportLayer: "/api/calibrations",
    routingInfo: {}
})
export class CalibrationModel extends Model {
    @attribute({ label: t`Target`, validation: yup.string() })
    target: string = "";

    @attribute({ label: t`Target Name`, validation: yup.string() })
    target_name: string = "";

    @attribute({ label: t`Calibration Type`, validation: yup.string() })
    calibration_type: string = "";

    @attribute({ label: t`Sub Type`, validation: yup.string() })
    sub_type: string = "";

    @attribute({ label: t`Mode`, validation: yup.string() })
    mode: string = "";

    @attribute({ label: t`User`, validation: yup.string() })
    user: string = "";

    @attribute({ label: t`Time`, validation: yup.date().required() })
    time: Date = new Date();

    @attribute({ label: t`Machine Id`, validation: yup.string().required() })
    machine_sn: string = "";

    @attribute({ label: t`Created At`, autoForm: false })
    created_at: Date = new Date();

    @attribute({ label: t`Updated At`, autoForm: false })
    updated_at: Date = new Date();

    static types = {
        time: "date"
    }

    constructor() {
        super();
        super.setup();
    }
}

export const CalibrationStore = CalibrationModel.store as DataStore<CalibrationModel>;