import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";

@model({
  transportLayer: "/api/capability_groups",
  permissionTarget: 'CapabilityGroup',
  routingInfo: {
    create: "/settings/capability_groups/create",
    update: "/settings/capability_groups/:id/edit",
    read: "/settings/capability_groups/:id"
  }
})
export class CapabilityGroupModel extends Model {
  @attribute({ label: t`Created At`, autoForm: false })
  created_at: Date = new Date();

  @attribute({ label: t`Updated At`, autoForm: false })
  updated_at: Date = new Date();

  constructor() {
    super();
    super.setup();
  }
}

export const CapabilityGroupStore = CapabilityGroupModel.store as DataStore<CapabilityGroupModel>;
