import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";

@model({
  transportLayer: "/api/orders",
  permissionTarget: 'Order',
  routingInfo: {
    create: "/orders/all/create",
    update: "/orders/all/:id/edit",
    read: "/orders/all/:id"
  }
})
export class OrderModel extends Model {
  @attribute({ label: t`Job Number`})
  job_number: string = "";

  @attribute({ label: t`Created At`, autoForm: false })
  created_at: Date = new Date();

  @attribute({ label: t`Updated At`, autoForm: false })
  updated_at: Date = new Date();

  @attribute({ label: t`Job ids`, autoForm: false })
  job_ids: number[] = [];

  @attribute({ label: t`Expires On`, autoForm: false })
  expiry_date: Date = new Date();

  constructor() {
    super();
    super.setup();
  }
}

export const OrderStore = OrderModel.store as DataStore<OrderModel>;
