import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";

@model({
  transportLayer: "/api/colors",
  permissionTarget: 'Color',
  routingInfo: {
    update: "/settings/colors/:id/edit",
    read: "/settings/colors/:id"
  }
})
export class StatusColorModel extends Model {
  @attribute({ label: t`Machine State`})
  status_name: string = "";

  @attribute({ label: t`Color`})
  color: string = "#123456";

  @attribute({ label: t`Created At`, autoForm: false })
  created_at: Date = new Date();

  @attribute({ label: t`Updated At`, autoForm: false })
  updated_at: Date = new Date();

  constructor() {
    super();
    super.setup();
  }
}

export const StatusColorStore = StatusColorModel.store as DataStore<StatusColorModel>;
