class AddOrderJobsJob < ApplicationJob
  include OrderCreateHelper

  queue_as :order_data

  # TODO: Current solution due to time constraint, can be refactored to be more generic
  # NOTE: Serialized params are pass through here instead of leveraging the usual model serialization,
  # This is due to needing to create models for Order/Job/Job Data...
  def perform(order_id, add_params, address_params, ship_to_params, data_params, process_params, serialized_params = nil)
    ActiveRecord::Base.connection_pool.with_connection do
      create_order_and_jobs(order_id, add_params, address_params, ship_to_params, data_params, process_params)

      return if serialized_params.nil?

      # orders and all associated data was fully created, can call forward now
      forward(serialized_params)
    end
  end

  def forward(serialized_params)
    push_targets = MachineDataPushTarget.where.not(forwarding_path_sym => [nil, ""])

    return if push_targets.size == 0

    ForwardOrderDataJob.perform_later(forwarding_path_sym, serialized_params)
  end

  def forwarding_path_sym
    :order_path
  end
end
