module NormalizeJobNumber
  extend ActiveSupport::Concern

  def truncate_job_number(number)
    max_job_number = ProductionSetting.max_job_num_length
    if max_job_number.nil?
      return number
    else
      return number[0...max_job_number]
    end
  end

  def normalize_job_number(number)
      return nil if number.nil?

      omitted_suffixes = %w[-L -R]
      number = omitted_suffixes.inject(number) do |memo, suffix|
        memo.to_s.chomp(suffix)
      end

      truncate_job_number(number)
  end
end