module MachineKpiCalculator
  class JobStateStarted < MachineKpiCalculator

    include KpiTableHandler

    class << self
      def get_for_period_and_machines(start_time, end_time, timeframe, machine_ids, options: {})
        kpi = JobStateStarted.new(start_time, end_time, timeframe, machine_ids, options)
        kpi.run
      end
    end

    def initialize(start_time, end_time, timeframe, machine_ids, options)
      super(start_time, end_time, timeframe, machine_ids, options)
    end

    def handlers
      [
        {
          key: :job_states,
          handler: KpiTableHandler::JobStateCountKpiHandler,
          params: {
            job_states: ['started']
          }
        }
      ]
    end

    def build_results
      data[:job_states].each {|k,v| data[:job_states][k] = v[:started]}
    end

    def build_results_per_machine
      data[:job_states].each do |machine_id, time_hash|
        time_hash.each do |time, state_hash|
          data[:job_states][machine_id][time] = state_hash[:started]
        end
      end
    end
  end
end