module MachineTranslator
  class MeiEdger < MachineTranslator
    include DataHelpers

    class TranslationError < StandardError; end

    def machine_state_hash
      {
        :working => :processing,
        :"working idle" => :waitingforjobs,
        :on => :on,
        :notready => :notready,
        :ready => :ready,
        :alarm => :error,
        :off => :off
      }
    end

    def job_state_hash
      {
        :started => JOB_STATES[:started],
        :completed => JOB_STATES[:finished],
        :aborted => JOB_STATES[:aborted]
      }
    end

    def machine_state_translation(params)
      translated_state = machine_state_hash[params[:state].to_sym]

      if translated_state.nil?
        Rails::logger.error "Failed Machine State translation for MEI Edger"
        raise TranslationError
      end

      params[:state] = translated_state
      params
    end

    def job_state_translation(params)
      params[:state] = job_state_hash[params[:state].to_sym]
      params
    end

    def errors_translation(params)
      params
    end

    def process_data_translation(params)
      params
    end
  end
end
