# == Schema Information
#
# Table name: block_reuse_settings
#
#  id                  :bigint           not null, primary key
#  block_discard_after :integer          default(500)
#  block_table_locked  :boolean          default(FALSE), not null
#  block_wash_after    :integer          default(30)
#  enable_server       :boolean
#  last_server_message :string(4000)
#  server_port         :integer
#  created_at          :datetime         not null
#  updated_at          :datetime         not null
#
class BlockReuseSetting < ApplicationRecord
  def adjust_blocks(old_max_wash, old_max_discard)
    settings = BlockReuseSetting.first
    new_max_wash = settings.block_wash_after
    new_max_discard = settings.block_discard_after
    settings.lock
    begin
      Block.in_batches.update_all("cycles_until_wash=abs((cycles_until_wash+(#{new_max_wash}-#{old_max_wash}))%#{new_max_wash}), cycles_until_discard=cycles_until_discard+(#{new_max_discard}-#{old_max_discard})")
    rescue => err
      Rails::logger.warn "Failed to update all blocks. Err: #{err}"
    end
    settings.unlock
  end

  def lock
    self.block_table_locked = true
    self.save
  end

  def unlock
    self.block_table_locked = false
    self.save
  end

  def should_broadcast?
    true
  end
end
