module ExtractTagData
  extend ActiveSupport::Concern

  def extract_tags_by_association(association)
    data = association.pluck(:name, :value, :side)

    tags = {left: {}, right: {}}

    data.each do |tag_data|
      side = Sideable.side_num_to_left_right(tag_data[2])
      name = tag_data[0]

      next if name.nil? || side.nil?

      tags[side][name] = tag_data[1]
    end

    tags
  end
end
