module SingleValueBucketCalculations
  extend ActiveSupport::Concern
  include KpiTableHandler

  def percent_buckets(row, m_count)
    if timeframe == Timeframe::ALL
      bucket_size = bucket_size_for_timeframe(nil)
      row[:percent] = ((row[:count] / (bucket_size * m_count)) * 100).to_f.round(2)
    else
      row.each do |time, col|
        bucket_size = bucket_size_for_timeframe(time)
        row[time][:percent] = ((col[:count] / (bucket_size * m_count)) * 100).to_f.round(2)
      end
    end
  end
end
