# -*- SkipSchemaAnnotations

module MachineTypes
  module Polishers
    class MultiFlex2 < Polisher
      include ErrorFilterMachineTypes::MultiFlex2
      include AbortFilterMachineTypes::MultiFlex2

      class << self
        def seed_version
          1
        end

        def display_name
          "Multi-FLEX-2"
        end

        def name
          "multi_flex_2"
        end

        def image_name
          'multi_flex_2.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        def error_filters
          error_filters_data
        end

        def abort_filters
          abort_filters_data
        end
      end
    end
  end
end

