class DrlReport < MachineTemplateReport
  class << self
    def report_type
      "ART Blocker DRL Report"
    end

    def drl_reporting_target
      options = []
      group_option = {label: 'Groups', options: []}
      blocker_options = {
        label: 'Blockers',
        options: []
      }
      group_option[:options] = MachineGroup.blocker_machine_groups.map {|machine_group| { label: target_to_name(machine_group), value: target_to_id(machine_group) }}
      options << group_option
      blocker_options[:options] = Machine.blockers.map do |machine|
        { label: machine.extended_name, value: target_to_id(machine) }
      end
      options << blocker_options
      options
    end
  end
  expose('drl_report', report_type, "DRL Report for Blockers.", "DRLReport")
  parameter(
    :target_ids,
    "Blockers",
    "The blockers that will be the target of the report",
    :string,
    multiple: true,
    required: true,
    value_list: -> {drl_reporting_target})

  def components
    [
      {
        component: ReportComponents::DrlTable,
        args: {
          aggregate_machines: false
        }
      },
    ]
  end
end