module ReportComponents
  class MachineAbortTrendsLine < ReportComponent
    include ReportComponentHelpers

    def component_id
      'machine_abort_trends'
    end

    def component_type
      'line'
    end

    def generate(args)
      abort_trends = MachineKpi.abort_trends_between(start_time, end_time, timeframe, machine_ids, options: args)
      data = {
        series: abort_trends.map { |abort, data|  build_series_for_kpi_bucket(abort, data, 'line', :format_value)},
      }

      return set_no_data('No aborted jobs during reporting period') if abort_trends.blank?

      data[:colors] = color_for_series(abort_trends.size) if args[:colorize_series]

      data
    end

    def format_value(bucket_value)
      bucket_value[:percent]
    end
  end
end