module ReportComponents
  class MachineErrorTrendsLine < ReportComponent
    include ReportComponentHelpers

    def component_id
      'machine_error_trends'
    end

    def component_type
      'line'
    end

    def generate(args)
      return set_no_data('This machine type does not collect errors.') unless machine_targets_collect_error(machine_ids)

      error_trends = MachineKpi.error_trends_between(start_time, end_time, timeframe, machine_ids, options: args)

      return set_no_data('No errors during reporting period') if error_trends.blank?

      data = {
        series: error_trends.map { |error, data|  build_series_for_kpi_bucket(error, data, 'line', :format_kpi_bucket_value)},
      }

      data[:colors] = color_for_series(error_trends.size) if args[:colorize_series]

      data
    end

    def format_kpi_bucket_value(bucket_value)
      bucket_value[:percent]
    end
  end
end