class DeleteExpiredDataRoutine < RxModule::Routine
  class << self
    def frequency
      data_archive_settings = DataArchiveSetting.first
      "#{data_archive_settings.cycle_interval}s"
    end

    def get_next_time
      data_archive_settings = DataArchiveSetting.first
      data_archive_settings.cycle_interval
    end

    def work
      # The archiving process is within a delayed job so that it could possibly be parallelized later if needed
      DeleteExpiredDataJob.perform_now
    end
  end
end
