json.cache! job do
  json.partial! "machines/order", order: job.order
  json.jobType job.job_type
  json.processName job.name
  json.processImportKey nil
  json.processSequenceNumber job.sequence_number
  json.jobBlockNumber job.block&.dmc
  json.batchId job.job_processes.first&.batch_id
end

json.jobKey "#{job.number}-#{side}"

json.statusList do
  json.cache! [job.job_states, side] do
    job_states = @job_states.where(job: job, side: side_index)
    json.cache_collection! job_states do |job_state|
      json.partial! "machines/job_state", job_state: job_state
    end
  end
end

json.processDataList do
  json.cache! [job.job_data, side, @start_time, @end_time] do
    job_data = job.job_data.where(side: side_index, created_at: @start_time..@end_time)
    json.cache_collection! job_data do |job_datum|
      json.partial! "machines/job_datum", job_datum: job_datum
    end
  end

  json.cache! [job.job_processes, side, @start_time, @end_time] do
    job_processes = job.job_processes.where(side: side_index, time: @start_time..@end_time)
    job_processes.each do |job_process|
      json.partial! "machines/job_process", job_process: job_process
    end
  end
end
