class Runner
  class << self
    def running?
      @running
    end

    def running!
      @running = true
    end
  end

  def run
    return if Runner.running?

    Runner.running!
    wrap { ProcessArchiveUpdatesJob.perform_now }
    wrap { ProcessArchiveCreatesJob.perform_now }
  end

  private

  def wrap
    Thread.new do
      Rails.application.executor.wrap do
        loop do
          begin
            yield
          rescue => e
            Rails.logger.error e
          end
        end
      end
    end
  end
end

Rails.application.reloader.to_prepare do
  if RxModule::Environment.is_website?
    ##
    # Temporarily disabled
    # Runner.new.run
  end
end