class CreateKpiCurrentMachineStates < ActiveRecord::Migration[6.1]
  def change
    create_table :kpi_current_machine_states do |t|
      t.string :machine_sn
      # By default, consider machines as 'off'
      t.integer :state, default: 10
      # set the default time to 1 hour less than now so the first machine state is accepted as the latest
      t.datetime :time, :default => (DateTime.now - 1.hour)
      t.index [:machine_sn], name: 'uniq_machine_sn', unique: true
    end
    add_foreign_key :kpi_current_machine_states, :machines, column: "machine_sn", primary_key: "sn", on_delete: :cascade
  end
end
