class CreateKpiMachineStateDurations < ActiveRecord::Migration[6.1]
  def change
    create_table :kpi_machine_state_durations do |t|
      t.datetime :time, null: false

      # Note: do NOT use the MACHINES_STATES constant from data helper to ensure that changes to job states do not affect future usage of this migration
      %w[on notready ready waitingforjobs processing maintenance error halt estop setup off].each { |state| t.decimal state, :default => 0, :precision => 10, :scale => 3}

      t.belongs_to :machine, foreign_key: {on_delete: :cascade}
      t.index [:time, :machine_id], name: 'kpi_machine_state_duration_uniq_time_per_machine', unique: true
    end
  end
end
