class CreateErrorFilters < ActiveRecord::Migration[6.1]
  def change
    create_table :error_filters do |t|
      t.string :name
      t.string :error_codes
      t.integer :behaviour
      t.string :replace_name
      t.boolean :system_default, default: false
      t.string :group_code
      t.boolean :enabled, default: true
      t.references :filter_target, polymorphic: true
      t.timestamps
    end

    add_index :error_filters, [:filter_target_type, :filter_target_id]
    add_index :error_filters, :group_code, :unique => true
    add_index :error_filters, :error_codes
  end
end
