require 'rest-client'
require 'json'
require 'builder'

order_params = <<XML
<?xml version="1.0" encoding="UTF-8"?>
<order xmlns="http://www.software4production.com/connector/satisloh/lms_1_0">
	<name>4</name>
	<description>something</description>
	<ordertype>something</ordertype>
	<workflowstate>something</workflowstate>
	<priority>0</priority>
	<address name="s" street="ome" city="thing" postcode="esomethig" country="somewheres">
	</address>
	<patient>mr</patient>
	<rdate>string</rdate>
	<rtime>string</rtime>
	<wdate>string</wdate>
	<wtime>string</wtime>
	<shipTo name="s" street="ome" city="thing" postcode="esomethig" country="somewheres">
	</shipTo>
	<data>
		<item name="some value" value="10" lensside="L">
		</item>
	</data>
</order>
XML

job1_param = <<XML
<?xml version="1.0" encoding="UTF-8"?>
<job xmlns="http://www.software4production.com/connector/satisloh/lms_1_0">
	<name>New job</name>
	<description>yes</description>
	<sequenceNumber>0</sequenceNumber>
	<priority>0</priority>
	<manufacturer>string</manufacturer>
	<lensside>L</lensside>
	<lmatid>string</lmatid>
	<lmattype>string</lmattype>
	<batchcriteria>string</batchcriteria>
	<template>string</template>
	<jobtype>string</jobtype>
	<enabled>true</enabled>
	<data>
		<item name="A" value="A" lensside="L">
		</item>
    <item name="B" value="B" lensside="L">
		</item>
    <item name="C" value="C" lensside="L">
		</item>
    <item name="D" value="D" lensside="L">
		</item>
    <item name="E" value="E" lensside="L">
		</item>
    <item name="F" value="F" lensside="L">
		</item>
    <item name="G" value="G" lensside="L">
		</item>
    <item name="H" value="H" lensside="L">
		</item>
    <item name="I" value="I" lensside="L">
		</item>
    <item name="J" value="J" lensside="L">
		</item>
    <item name="K" value="K" lensside="L">
		</item>
    <item name="L" value="L" lensside="L">
		</item>
    <item name="M" value="M" lensside="L">
		</item>
    <item name="N" value="N" lensside="L">
		</item>
    <item name="O" value="O" lensside="L">
		</item>
    <item name="P" value="P" lensside="L">
    </item>
    <item name="Q" value="Q" lensside="L">
    </item>
    <item name="R" value="R" lensside="L">
		</item>
    <item name="S" value="S" lensside="L">
    </item>
    <item name="T" value="T" lensside="L">
		</item>
    <item name="U" value="U" lensside="L">
		</item>
    <item name="V" value="V" lensside="L">
		</item>
    <item name="W" value="W" lensside="L">
		</item>
    <item name="X" value="X" lensside="L">
		</item>
    <item name="Y" value="Y" lensside="L">
		</item>
    <item name="Z" value="Z" lensside="L">
		</item>
	</data>
	<processes>
		<process name="genZ">
			<plannedQuantity value="0">
			</plannedQuantity>
			<quantityProductionTime value="0">
			</quantityProductionTime>
			<setupTime value="0">
			</setupTime>
			<leadTime value="0">
			</leadTime>
			<enabled>true</enabled>
			<capabilities>
				<capability name="genX">
				</capability>
				<capability-group name="gen">
				</capability-group>
			</capabilities>
		</process>
	</processes>
</job>
XML

job2_param = <<XML
<?xml version="1.0" encoding="UTF-8"?>
<job xmlns="http://www.software4production.com/connector/satisloh/lms_1_0">
	<name>New job</name>
	<description>yes</description>
	<sequenceNumber>0</sequenceNumber>
	<priority>0</priority>
	<manufacturer>string</manufacturer>
	<lensside>R</lensside>
	<lmatid>string</lmatid>
	<lmattype>string</lmattype>
	<batchcriteria>string</batchcriteria>
	<template>string</template>
	<jobtype>string</jobtype>
	<enabled>true</enabled>
	<data>
		<item name="A" value="A" lensside="R">
		</item>
    <item name="B" value="B" lensside="R">
		</item>
    <item name="C" value="C" lensside="R">
		</item>
    <item name="D" value="D" lensside="R">
		</item>
    <item name="E" value="E" lensside="R">
		</item>
    <item name="F" value="F" lensside="R">
		</item>
    <item name="G" value="G" lensside="R">
		</item>
    <item name="H" value="H" lensside="R">
		</item>
    <item name="I" value="I" lensside="R">
		</item>
    <item name="J" value="J" lensside="R">
		</item>
    <item name="K" value="K" lensside="R">
		</item>
    <item name="L" value="L" lensside="R">
		</item>
    <item name="M" value="M" lensside="R">
		</item>
    <item name="N" value="N" lensside="R">
		</item>
    <item name="O" value="O" lensside="R">
		</item>
    <item name="P" value="P" lensside="R">
    </item>
    <item name="Q" value="Q" lensside="R">
    </item>
    <item name="R" value="R" lensside="R">
		</item>
    <item name="S" value="S" lensside="R">
    </item>
    <item name="T" value="T" lensside="R">
		</item>
    <item name="U" value="U" lensside="R">
		</item>
    <item name="V" value="V" lensside="R">
		</item>
    <item name="W" value="W" lensside="R">
		</item>
    <item name="X" value="X" lensside="R">
		</item>
    <item name="Y" value="Y" lensside="R">
		</item>
    <item name="Z" value="Z" lensside="R">
		</item>
	</data>
	<processes>
		<process name="genZ">
			<plannedQuantity value="0">
			</plannedQuantity>
			<quantityProductionTime value="0">
			</quantityProductionTime>
			<setupTime value="0">
			</setupTime>
			<leadTime value="0">
			</leadTime>
			<enabled>true</enabled>
			<capabilities>
				<capability name="genX">
				</capability>
				<capability-group name="gen">
				</capability-group>
			</capabilities>
		</process>
	</processes>
</job>
XML

threads = 200.times.map do |i|
  thread = Thread.new do
    c = i+800
    RestClient.put("localhost:3020/connector/satisloh/lms/1.0/order/#{c}", order_params, { "Content-Type" => "application/xml"})
    RestClient.put("localhost:3020/connector/satisloh/lms/1.0/job/#{c}/#{c}", job1_param, { "Content-Type" => "application/xml"})
    RestClient.put("localhost:3020/connector/satisloh/lms/1.0/job/#{c}/#{c}", job2_param, { "Content-Type" => "application/xml"})
  end
  sleep 0.3
  thread
end
threads.each(&:join)